org.apache.cassandra.db.compaction

## Enum CompactionManager.AllSSTableOpStatus

- java.lang.Object
- - java.lang.Enum<CompactionManager.AllSSTableOpStatus>
  - - org.apache.cassandra.db.compaction.CompactionManager.AllSSTableOpStatus

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<CompactionManager.AllSSTableOpStatus>
  Enclosing class:
    CompactionManager

      public static enum CompactionManager.AllSSTableOpStatus
      extends java.lang.Enum<CompactionManager.AllSSTableOpStatus>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORTED`
    `SUCCESSFUL`
    `UNABLE_TO_CANCEL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `statusCode`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CompactionManager.AllSSTableOpStatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static CompactionManager.AllSSTableOpStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESSFUL

          public static final CompactionManager.AllSSTableOpStatus SUCCESSFUL

    - #### ABORTED

          public static final CompactionManager.AllSSTableOpStatus ABORTED

    - #### UNABLE_TO_CANCEL

          public static final CompactionManager.AllSSTableOpStatus UNABLE_TO_CANCEL

  - ### Field Detail

    - #### statusCode

          public final int statusCode

  - ### Method Detail

    - #### values

          public static CompactionManager.AllSSTableOpStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CompactionManager.AllSSTableOpStatus c : CompactionManager.AllSSTableOpStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CompactionManager.AllSSTableOpStatus valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation